Bug 1118588 - Met "can't convert String into Integer" TypeError when run 'oo-cgroup-read report' command in app on STG
Summary: Met "can't convert String into Integer" TypeError when run 'oo-cgroup-read re...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Online
Classification: Red Hat
Component: Containers
Version: 2.x
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: ---
Assignee: Jhon Honce
QA Contact: libra bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-11 06:35 UTC by Lei Zhang
Modified: 2015-05-14 23:37 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-10 00:48:36 UTC


Attachments (Terms of Use)

Description Lei Zhang 2014-07-11 06:35:45 UTC
Description of problem:
Create one app, ssh into the app, run 'oo-cgroup-read report' command, found "can't convert String into Integer" TypeError

Note: Can reproduce it on STG(devenv-stage_907), but for devenv-stage_907 doesn't have this issue.

[mypython26-weom1p.stg.rhcloud.com 53bf57372587c88fbf0005ac]\> /usr/bin/oo-cgroup-read report
/usr/bin/oo-cgroup-read:166:in `[]=': can't convert String into Integer (TypeError)
	from /usr/bin/oo-cgroup-read:166:in `report_cgroup_attributes'
	from /usr/bin/oo-cgroup-read:149:in `each'
	from /usr/bin/oo-cgroup-read:149:in `report_cgroup_attributes'
	from /usr/bin/oo-cgroup-read:216


Version-Release number of selected component (if applicable):
STG(devenv-stage_907)

How reproducible:
always

Steps to Reproduce:
1.Create one app
#rhc app create mypython26 python-2.6
2.Ssh into the app and run the 'oo-cgroup-read report ' command
#rhc app ssh mypython26
#>/usr/bin/oo-cgroup-read report
3.

Actual results:
Met "can't convert String into Integer" TypeError when run 'oo-cgroup-read report' command

Expected results:
Should list all attribute names and values in JSON when run 'oo-cgroup-read report' command


Additional info:

Comment 1 Adam Miller 2014-07-11 22:19:25 UTC
agrimm patched, will be a part of today's STG deploy

https://github.com/openshift/origin-server/pull/5597
https://github.com/openshift/origin-server/pull/5598

Comment 2 openshift-github-bot 2014-07-12 00:26:36 UTC
Commit pushed to master at https://github.com/openshift/origin-server

https://github.com/openshift/origin-server/commit/dc782896cdbde63e651adde4eeecce7c606fbf15
Bug 1118588 - Fix oo-cgroup-read for parsing blkio stats

Comment 3 Lei Zhang 2014-07-15 02:14:47 UTC
Verified on STG(devenv-stage_910)


[mypython26-rayzhang.stg.rhcloud.com 53c38e63dbd93c6ff3000614]\> /usr/bin/oo-cgroup-read report
{"memory.memsw.failcnt":"0","cpuacct.usage":"21968633644","memory.stat":{"hierarchical_memsw_limit":"641728512","active_file":"606208","inactive_anon":"5513216","total_unevictable":"0","total_swap":"0","pgpgout":"81076","total_pgpgout":"81076","mapped_file":"110592","total_inactive_anon":"5513216","total_inactive_file":"131072","total_pgpgin":"86113","total_mapped_file":"110592","unevictable":"0","cache":"761856","swap":"0","inactive_file":"131072","active_anon":"14381056","total_active_anon":"14381056","hierarchical_memory_limit":"536870912","rss":"19869696","total_active_file":"606208","total_rss":"19869696","total_cache":"761856","pgpgin":"86113"},"memory.move_charge_at_immigrate":"1","cpuacct.usage_percpu":["12148803572","9819830072"],"net_cls.classid":"67998","memory.failcnt":"0","memory.use_hierarchy":"0","memory.memsw.max_usage_in_bytes":"32989184","cpu.rt_period_us":"1000000","memory.swappiness":"70","cpu.cfs_quota_us":"100000","cpu.cfs_period_us":"100000","memory.soft_limit_in_bytes":"9223372036854775807","memory.memsw.usage_in_bytes":"20799488","cpuacct.stat":{"system":"1209","user":"396"},"cpu.stat":{"throttled_time":"59320662","nr_periods":"306371","nr_throttled":"5"},"memory.usage_in_bytes":"20758528","freezer.state":"THAWED","memory.max_usage_in_bytes":"32989184","memory.limit_in_bytes":"536870912","memory.oom_control":{"oom_kill_disable":"1","under_oom":"0"},"cpu.shares":"128","cpu.rt_runtime_us":"0","memory.memsw.limit_in_bytes":"641728512"}


Note You need to log in before you can comment on or make changes to this bug.